Subject: Re: bug#54063: automake cannot run without generated Texinfo manual

From: Bogdan <[email-masked]>
Date: Sat, 15 Jul 2023 18:36:12 +0200

Karl Berry <[email-masked]>, Fri Jul 14 2023 23:32:21 GMT+0200
(Central European Summer Time)
>      I could distribute just the .texi.in file and still get
>      autoreconf/automake/packaging to work. Right now, I get an error
>      about a missing .texi file
>
> I thought Mike's fix (-e ... /dev/null) should already have fixed that?

  Well, to be honest, I simply made the fix for the code that was
present in the repo, assuming it would behave the same as the official
version. Indeed, it seems that it works even without my fix. Oh well,
at least one more chance to get the output filename (if present).

> Well, in any case, it's not bad to check for the .texi.in, so I'm happy
> you posted about it.
>
>      > echo '@setfilename bar.texi' >foo.texi
>      Shouldn't the above read "bar.info" instead of "bar.texi"?
>
> Oops, certainly so! Sharp eyes. Fortunately in my actual test file I got
> it right, so I think my description of the (non-)behavior I saw still
> stands ... --thanks again, karl.

  OK, better typo in a mail than in the repo/docs.

> P.S. Still working on several more patches from you. Thanks for all!

  Nice to hear :). It's good that you check them so thoroughly, not
just the code but also asking "is this the way it should work?".

--
Regards - Bogdan ('bogdro') D.                 (GNU/Linux & FreeDOS)
X86 assembly (DOS, GNU/Linux):    http://bogdro.evai.pl/index-en.php
Soft(EN): http://bogdro.evai.pl/soft  http://bogdro.evai.pl/soft4asm
www.Xiph.org  www.TorProject.org  www.LibreOffice.org  www.GnuPG.org